%global _empty_manifest_terminate_build 0

Name:           perl-Log-Dispatch
Version:        2.71
Release:        1
Summary:        Dispatches messages to one or more outputs
License:        Artistic 2.0
URL:            https://metacpan.org/release/Log-Dispatch
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/Log-Dispatch-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl >= 0:5.006
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Devel::GlobalDestruction)
BuildRequires:  perl(Dist::CheckConflicts) >= 0.02
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IPC::Run3)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Params::ValidationCompiler)
BuildRequires:  perl(parent)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Specio) >= 0.32
BuildRequires:  perl(Specio::Declare)
BuildRequires:  perl(Specio::Exporter)
BuildRequires:  perl(Specio::Library::Builtins)
BuildRequires:  perl(Specio::Library::Numeric)
BuildRequires:  perl(Specio::Library::String)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sys::Syslog) >= 0.28
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Needs)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
Requires:       perl(Carp)
Requires:       perl(Devel::GlobalDestruction)
Requires:       perl(Dist::CheckConflicts) >= 0.02
Requires:       perl(Encode)
Requires:       perl(Exporter)
Requires:       perl(Module::Runtime)
Requires:       perl(namespace::autoclean)
Requires:       perl(Params::ValidationCompiler)
Requires:       perl(parent)
Requires:       perl(Scalar::Util)
Requires:       perl(Specio) >= 0.32
Requires:       perl(Specio::Declare)
Requires:       perl(Specio::Exporter)
Requires:       perl(Specio::Library::Builtins)
Requires:       perl(Specio::Library::Numeric)
Requires:       perl(Specio::Library::String)
Requires:       perl(strict)
Requires:       perl(Sys::Syslog) >= 0.28
Requires:       perl(Try::Tiny)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Log::Dispatch is a suite of OO modules for logging messages to
multiple outputs, each of which can have a minimum and maximum log
level.  It is designed to be easily subclassed, both for creating a
new dispatcher object and particularly for creating new outputs.
An Apache output is available in perl-Log-Dispatch-ApacheLog package.

%package help
Summary: Dispatches messages to one or more outputs
Provides: perl-Log-Dispatch-doc

%description help
This module manages a set of Log::Dispatch::* output objects that can be
logged to via a unified interface.

%prep
%autosetup -n Log-Dispatch-%{version} -p1

%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc azure-pipelines.yml Changes CODE_OF_CONDUCT.md CONTRIBUTING.md cpanfile dist.ini LICENSE META.json perlcriticrc perltidyrc README.md weaver.ini
%{perl_vendorlib}/*

%files help
%{_mandir}/*

%changelog
* Sat Sep 09 2023 yaoxin <yao_xin001@hoperun.com> - 2.71-1
- Update to 2.71

* Thu Jun 30 2022 misaka00251 <misaka00251@misakanet.cn> - 2.70-1
- Init package
